| All Verbs | /RestApi/sitefinity/inlineediting/render |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PageId | query | string | No | |
| ControlId | query | string | No | |
| DataItemId | query | string | No | |
| FieldName | query | string | No | |
| Url | query | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/render HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
PageId: String,
ControlId: String,
DataItemId: String,
FieldName: String,
Url: String
}
HTTP/1.1 200 OK Content-Type: text/jsv Content-Length: length (string)